#include "resource.h"
#include "newres.h"


// Icon
// Icon with lowest ID value placed first to ensure application icon
// remains consistent on all systems.
IDW_MAIN 	ICON    DISCARDABLE     "res/simpleapp.ico"


// Data
IDW_MAIN SHMENUBAR MOVEABLE PURE
BEGIN
    IDW_MAIN, 3,
    I_IMAGENONE, IDM_FILE_EXIT, TBSTATE_ENABLED, TBSTYLE_DROPDOWN | TBSTYLE_AUTOSIZE, IDM_FILE_EXIT, 0, 1,
    I_IMAGENONE, IDM_EDIT_COPY, TBSTATE_ENABLED, TBSTYLE_DROPDOWN | TBSTYLE_AUTOSIZE, IDM_EDIT_COPY, 0, NOMENU,
    I_IMAGENONE, IDM_EDIT_PASTE, TBSTATE_ENABLED, TBSTYLE_DROPDOWN | TBSTYLE_AUTOSIZE, IDM_EDIT_PASTE, 0, 1
END


// Menubar
IDW_MAIN MENU DISCARDABLE
BEGIN
    POPUP "File"
    BEGIN
	MENUITEM "New", IDM_FILE_NEW
	MENUITEM "Exit", IDM_FILE_EXIT
    END
    POPUP "Edit"
    BEGIN
	MENUITEM "Copy", IDM_EDIT_COPY
	MENUITEM "Cut", IDM_EDIT_CUT
	MENUITEM "Paste", IDM_EDIT_PASTE
	MENUITEM "Undo", IDM_EDIT_UNDO
    END
    POPUP "Help"
    BEGIN
        MENUITEM "About", IDM_HELP_ABOUT
    END
END


// Dialog

IDW_ABOUT DIALOG DISCARDABLE  0, 0, 140, 57
STYLE WS_POPUP | WS_CAPTION
EXSTYLE 0x80000000L
CAPTION "About this program"
BEGIN
    ICON            IDW_MAIN,IDC_STATIC,11,17,20,20
    LTEXT           "SimpleApp demo",IDC_STATIC,40,10,70,8,SS_NOPREFIX
    LTEXT           "Copyright (C) MC 2009",IDC_STATIC,40,25,70,8
END


/////////////////////////////////////////////////////////////////////////////
//
// Accelerator
//

IDW_MAIN ACCELERATORS DISCARDABLE
BEGIN
    "A",            IDM_HELP_ABOUT,         VIRTKEY, CONTROL, NOINVERT
    "Q",            IDM_FILE_EXIT,          VIRTKEY, CONTROL, NOINVERT
END


/////////////////////////////////////////////////////////////////////////////
//
// Bitmap
//

IDW_MAIN            BITMAP DISCARDABLE "res/toolbar.bmp"


/////////////////////////////////////////////////////////////////////////////
//
// String Table
//

STRINGTABLE DISCARDABLE
BEGIN
    IDW_MAIN                "SimpleApp"
    IDM_FILE		    "File"
    IDM_EDIT                "Edit"
    IDM_HELP                "Help"
END

